Bug 631562

Summary: [abrt] system-config-network-1.6.1-1.fc14: NC_functions.py:31:<module>:ImportError: No module named ethtool
Product: [Fedora] Fedora Reporter: Gareth <gareth.glaccum>
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: harald, jmoskovc, jpopelka, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:22d818a1
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 15:55:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace none

Description Gareth 2010-09-07 17:24:31 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/system-control-network
component: system-config-network
executable: /usr/bin/system-control-network
kernel: 2.6.35.4-12.fc14.i686
package: system-config-network-1.6.1-1.fc14
reason: NC_functions.py:31:<module>:ImportError: No module named ethtool
release: Fedora release 14 (Laughlin)
time: 1283861600
uid: 500

comment
-----
Accidentally upgraded from F11 to F14 using preupgrade-cli.
However, I suspect that this would also occur when upgrading from other OS. For some reason the 
dependancy python-ethtool was not included in the upgrade. 
Running 
yum -y install python-ethtool 
installed the dependancy and fixed the issue.

How to reproduce
-----
1.
python-ethtool was not installed. Attempted to run system-config-network
Comment 1 Gareth 2010-09-07 17:24:34 EDT
Created an attachment (id=445789)
File: backtrace
Comment 2 Jiri Popelka 2010-09-08 06:24:29 EDT
system-config-network in F11 was not dependent on python-ethtool.
In F14 system-config-network correctly requires python-ethtool and
'yum install system-config-network' pulls in also python-ethtool.

Reassigning to preupgrade.
However upgrading from F11 to F14 doesn't sound good to me.
Comment 3 Fedora End Of Life 2012-08-16 15:55:39 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping